org.apache.tinkerpop.gremlin.process.traversal.step.map

## Class PropertiesTest

- java.lang.Object
- - org.apache.tinkerpop.gremlin.AbstractGremlinTest
  - - org.apache.tinkerpop.gremlin.process.AbstractGremlinProcessTest
    - - org.apache.tinkerpop.gremlin.process.traversal.step.map.PropertiesTest

- Direct Known Subclasses:
    PropertiesTest.Traversals

      public abstract class PropertiesTest
      extends AbstractGremlinProcessTest

  Author:
    Marko A. Rodriguez (http://markorodriguez.com)

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `PropertiesTest.Traversals`

  - ### Field Summary

    - ### Fields inherited from class org.apache.tinkerpop.gremlin.AbstractGremlinTest

      `config, g, graph, graphProvider, name, shouldTestIteratorLeak`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PropertiesTest()`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `g_injectXg_VX1X_propertiesXnameX_nextX_value()`
    `void` | `g_V_hasXageX_properties_hasXid_nameIdAsStringX_value()`
    `void` | `g_V_hasXageX_properties_hasXid_nameIdX_value()`
    `void` | `g_V_hasXageX_propertiesXage_nameX_value()`
    `void` | `g_V_hasXageX_propertiesXname_ageX_value()`
    `void` | `g_V_hasXageX_propertiesXnameX()`
    `abstract Traversal<VertexProperty<String>,String>` | `get_g_injectXg_VX1X_propertiesXnameX_nextX_value(Object v1Id)`
    `abstract Traversal<Vertex,Object>` | `get_g_V_hasXageX_properties_hasXid_nameIdX_value(Object nameId)`
    `abstract Traversal<Vertex,Object>` | `get_g_V_hasXageX_propertiesXage_nameX_value()`
    `abstract Traversal<Vertex,Object>` | `get_g_V_hasXageX_propertiesXname_ageX_value()`
    `abstract Traversal<Vertex,VertexProperty<String>>` | `get_g_V_hasXageX_propertiesXnameX()`

    - ### Methods inherited from class org.apache.tinkerpop.gremlin.process.AbstractGremlinProcessTest

      `checkMap, checkOrderedResults, checkResults, checkResults, checkSideEffects, graphMeetsTestRequirements, hasGraphComputerRequirement, makeMapList, setupTest`

    - ### Methods inherited from class org.apache.tinkerpop.gremlin.AbstractGremlinTest

      `afterLoadGraphWith, assertVertexEdgeCounts, beforeLoadGraphWith, convertToEdge, convertToEdgeId, convertToEdgeId, convertToVertex, convertToVertex, convertToVertexId, convertToVertexId, convertToVertexProperty, convertToVertexPropertyId, convertToVertexPropertyId, getAssertVertexEdgeCounts, printTraversalForm, setup, tearDown, tryCommit, tryCommit, tryRollback, validateException, verifyUniqueStepIds`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PropertiesTest

          public PropertiesTest()

  - ### Method Detail

    - #### get_g_V_hasXageX_propertiesXname_ageX_value

          public abstract Traversal<Vertex,Object> get_g_V_hasXageX_propertiesXname_ageX_value()

    - #### get_g_V_hasXageX_propertiesXage_nameX_value

          public abstract Traversal<Vertex,Object> get_g_V_hasXageX_propertiesXage_nameX_value()

    - #### get_g_V_hasXageX_properties_hasXid_nameIdX_value

          public abstract Traversal<Vertex,Object> get_g_V_hasXageX_properties_hasXid_nameIdX_value(Object nameId)

    - #### get_g_V_hasXageX_propertiesXnameX

          public abstract Traversal<Vertex,VertexProperty<String>> get_g_V_hasXageX_propertiesXnameX()

    - #### get_g_injectXg_VX1X_propertiesXnameX_nextX_value

          public abstract Traversal<VertexProperty<String>,String> get_g_injectXg_VX1X_propertiesXnameX_nextX_value(Object v1Id)

    - #### g_V_hasXageX_propertiesXname_ageX_value

          public void g_V_hasXageX_propertiesXname_ageX_value()

    - #### g_V_hasXageX_propertiesXage_nameX_value

          public void g_V_hasXageX_propertiesXage_nameX_value()

    - #### g_V_hasXageX_properties_hasXid_nameIdX_value

          public void g_V_hasXageX_properties_hasXid_nameIdX_value()

    - #### g_V_hasXageX_properties_hasXid_nameIdAsStringX_value

          public void g_V_hasXageX_properties_hasXid_nameIdAsStringX_value()

    - #### g_V_hasXageX_propertiesXnameX

          public void g_V_hasXageX_propertiesXnameX()

    - #### g_injectXg_VX1X_propertiesXnameX_nextX_value

          public void g_injectXg_VX1X_propertiesXnameX_nextX_value()

Copyright © 2013–2022 Apache Software Foundation. All rights reserved.